linux-mips
[Top] [All Lists]

Re: [ANNOUNCE] glibc 2.2 (2.1.95) debian packages available

To: Florian Lohoff <flo@rfc822.org>
Subject: Re: [ANNOUNCE] glibc 2.2 (2.1.95) debian packages available
From: Ralf Baechle <ralf@oss.sgi.com>
Date: Mon, 30 Oct 2000 04:23:46 +0100
Cc: debian-mips@lists.debian.org, linux-mips@oss.sgi.com
In-reply-to: <20001027121802.B3541@paradigm.rfc822.org>; from flo@rfc822.org on Fri, Oct 27, 2000 at 12:18:02PM +0200
References: <20001027121802.B3541@paradigm.rfc822.org>
Sender: owner-linux-mips@oss.sgi.com
On Fri, Oct 27, 2000 at 12:18:02PM +0200, Florian Lohoff wrote:

> It seems that the incompatibility problems i had with previous versions
> concerning bash are gone. I am able to compile a 2.2 bash in the chroot
> populated with the glibc 2.2 and 2.0 binarys ( And it also works ).

There was a bug in the generic code of 2.2 which I recently fixed.  Since
then I have at least 99% compatibility with old binaries.

> It seems there is a bug in bash concerning non-existance of /proc 
> which will cause my bash to segfault but mounting proc in the chroot
> solves this.

Upgrade your libc or fix it yourself, it's trivial.  <sys/syscalls.h> needs
to include <asm/unistd.h>.  This will also fix mysterious compile problems
of the adjtime package.

  Ralf

<Prev in Thread] Current Thread [Next in Thread>